#include <Adafruit_NeoPixel.h>

# define PININ 12
# define PINOUT 8
 
// Parameter 1 = number of pixels in strip
// Parameter 2 = pin number (most are valid)
// Parameter 3 = pixel type flags, add together as needed:
//   NEO_KHZ800  800 KHz bitstream (most NeoPixel products w/WS2812 LEDs)
//   NEO_KHZ400  400 KHz (classic 'v1' (not v2) FLORA pixels, WS2811 drivers)
//   NEO_GRB     Pixels are wired for GRB bitstream (most NeoPixel products)
//   NEO_RGB     Pixels are wired for RGB bitstream (v1 FLORA pixels, not v2)
Adafruit_NeoPixel strip = Adafruit_NeoPixel(60, PININ, NEO_RGB + NEO_KHZ800);

void setup() {
  strip.begin();
  strip.show(); // Initialize all pixels to 'off'
}

void loop() {
//strip.setPixelColor(n, red, green, blue);  
//pas de version RGBW !!
  strip.setPixelColor(0,0, 0,255);
  strip.show();
}

///EN PLUS SI NECESSAIRE
//You can also convert separate red, green and blue values into a single 32-bit type for later use:
// uint32_t magenta = strip.Color(255, 0, 255);
